<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90" => base64_decode(""), "_db98357e662ee4057f89ee50fd63a2c" . "5" => base64_decode("Q2xlYXJpbmcgc2hhcmVkIGFzc2V0cyBjYW" . "NoZQ=="), "_2d885755f" . "5913deb2b5" . "a483bd6761" . "1d1" => base64_decode("Y2ZnX2xvY2FsX2RhdGFfZG" . "ly"), "_8368ecd0faa75c04b4e54eac3bd4" . "5d63" => base64_decode("Q2xlYXJpbmcgbG9" . "jYWxpemF0aW9uIG" . "NhY2hl"), "_8fec2170" . "6bd243b37" . "ecf62b1ca" . "f8fb8a" => base64_decode("Y" . "2" . "x" . "p"), "_db7b295629faa16027a2c263095" . "eba70" => base64_decode("cGhwX" . "3NhcG" . "lfbmF" . "tZQ=="), "_3d13c2fddaab71a0" . "9eeaf22607f1db0f" => base64_decode("Q2xlYXJpbmcg" . "YWxsIHNoYXJl" . "ZCBjYWNoZXM="), "_282505d" . "b60b6a60" . "f1a0c54a" . "0f8c2709" . "2" => base64_decode("VEVNUEx" . "BVEVSX0" . "NBQ0hFX" . "0RJUg=="), "_dd17da47448" . "9c53ba873b91" . "c06c72f29" => base64_decode("L3R3aWdfY2Fj" . "aGU="), "_22ac6aa" . "e2762e0f" . "310c4953" . "84c477dc" . "8" => base64_decode("Lmd" . "pdG" . "tlZ" . "XA="), "_70373a6864aa243b3e8b9c38" . "ac08e7ff" => base64_decode("Q2xlYXJpbmcg" . "VHdpZyBjYWNo" . "ZQ=="), "_593349d6587de2820ea940082ef" . "8271e" => base64_decode("Q2xlYXJpbmcgVGVtcG" . "xhdGVyIGNhY2hl"), "_edd716f0baedc2427c1" . "21be529bf222d" => base64_decode("Q2xlYXJpbmcgYWxsIGxvY2FsIGNhY2hlcw=" . "="), "_d9040256bff96ad2c221f79" . "439e0560c" => base64_decode("Q2xlYXJpbmcgZGlyZ" . "WN0b3J5IA=="), "_8fd6da143a742433037d3741c26c9f1" . "4" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYXNzZX" . "RzIGNhY2hl"), "_2935eb81473a5cd" . "f164ba52dc31d305" . "c" => base64_decode("Q2xlYXJpbmc" . "gbWVtb3J5IG" . "NhY2hlcw=="), "_f02edf6" . "7305f5d9" . "84784e5a" . "63acb5f0" . "b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlcyAocnVubmluZy" . "Bmcm9tIHRoZSBjb21tYW5kIGxpbmUp"));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $twig_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_282505db60b6a6" . "0f1a0c54a0f8c27" . "092"]);
        $this->twig_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2d885755f5913deb2b5a483bd676" . "11d1"]) . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_dd17da474489c53ba873b91" . "c06c72f29"];
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_edd716f0ba" . "edc2427c121" . "be529bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_db7b295629faa16027a2c263095eba7" . "0"]() !== $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8fec2170" . "6bd243b37" . "ecf62b1ca" . "f8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_f02edf67305f5d984784e5" . "a63acb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
        $this->ClearTwig();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_3d13c2fddaab71a09ee" . "af22607f1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_8368ecd0faa75c04b4e54eac" . "3bd45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8fd6da143a7" . "42433037d374" . "1c26c9f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_db98357e662ee4" . "057f89ee50fd63a" . "2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2935eb8" . "1473a5cd" . "f164ba52" . "dc31d305" . "c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe69e81" . "59697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4d707fab93bebb00bbe69e8159697c9" . "0"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_593349d6587de28" . "20ea940082ef8271" . "e"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    public function ClearTwig()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_70373a6864aa243b3e8b9c3" . "8ac08e7ff"]);
        return $this->ClearDirectory($this->twig_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_d904025" . "6bff96ad" . "2c221f79" . "439e0560" . "c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_22ac6aae2762e0f310c" . "495384c477dc8"]);
    }
}